!スクリーンショットを連写するコマンドを"rensya"に書き込む
!ImageMagickのimport等の機能を使用

!実行方法
!$ xwininfo |grep '^xwininfo: Window id:' | awk '{print $4}'
!      で、指定ウィンドウのidを調べて、下記idを書き換える。
!$ mkdir gif 
!$ cd gif 
!$ chmod 744 rensya
!$ ./rensya
!
!$ convert -crop 400x300+300+600 a*.jpg b*jpg
!       等で、適度にトリミングして、
!$ convert b*.jpg c.gif
!       で、gif化。
!$ eog c.gif&

      implicit none
      real :: step,tf,te,a
      character :: command*60,b1*7,b2*6,filename*15,id*10
      integer :: t,n

!!手入力!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      step=0.1 !連写間隔
      tf=5.0 !開始時間
      te=15.0 !終了時間
      id="0x38000d6" !指定のウィンドウid
      filename="aiueo" !生成するファイルの名前
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      n=int((te-tf)/step) !総撮影数

      open(1,file=('gif/rensya'),status='replace')
      do t=0,n
       write(b2,"(i6)") t
       if (t==0) then
        write(b1,"(f0.3)") tf !文字列に変換(f0.3)の桁は要確認
       else
        write(b1,"(f5.3)") step !文字列に変換(f5.3)の桁は要確認
       end if
       command="sleep "//trim(adjustl(b1))//&
           &";import -window "//trim(adjustl(id))//" "//&
           &trim(adjustl(filename))//trim(adjustl(b2))//".jpg"
       write(1,*) command
      end do
      close(1)
      end

